## EvRenderContext

EvRenderContext

## Functions

EvRenderContext * | ev_render_context_new ()
void | ev_render_context_set_page ()
void | ev_render_context_set_rotation ()
void | ev_render_context_set_scale ()
void | ev_render_context_set_target_size ()
void | ev_render_context_compute_scaled_size ()
void | ev_render_context_compute_transformed_size ()
void | ev_render_context_compute_scales ()

## Types and Values

struct | EvRenderContext
struct | EvRenderContextClass

## Object Hierarchy

        GObject
        ╰── EvRenderContext

## Description

## Functions

### ev_render_context_new ()

    EvRenderContext *
    ev_render_context_new (EvPage *page,
                           gint rotation,
                           gdouble scale);

### ev_render_context_set_page ()

    void
    ev_render_context_set_page (EvRenderContext *rc,
                                EvPage *page);

### ev_render_context_set_rotation ()

    void
    ev_render_context_set_rotation (EvRenderContext *rc,
                                    gint rotation);

### ev_render_context_set_scale ()

    void
    ev_render_context_set_scale (EvRenderContext *rc,
                                 gdouble scale);

### ev_render_context_set_target_size ()

    void
    ev_render_context_set_target_size (EvRenderContext *rc,
                                       int target_width,
                                       int target_height);

### ev_render_context_compute_scaled_size ()

    void
    ev_render_context_compute_scaled_size (EvRenderContext *rc,
                                           double width_points,
                                           double height_points,
                                           int *scaled_width,
                                           int *scaled_height);

### ev_render_context_compute_transformed_size ()

    void
    ev_render_context_compute_transformed_size
                                   (EvRenderContext *rc,
                                    double width_points,
                                    double height_points,
                                    int *transformed_width,
                                    int *transformed_height);

### ev_render_context_compute_scales ()

    void
    ev_render_context_compute_scales (EvRenderContext *rc,
                                      double width_points,
                                      double height_points,
                                      double *scale_x,
                                      double *scale_y);

## Types and Values

### struct EvRenderContext

    struct EvRenderContext;

### struct EvRenderContextClass

    struct EvRenderContextClass {
    	GObjectClass klass;
    };